---
title: llarp::LoggingConfig

---

# llarp::LoggingConfig





## Public Functions

|                | Name           |
| -------------- | -------------- |
| void | **[defineConfigOptions](Classes/structllarp_1_1LoggingConfig.md#function-defineconfigoptions)**([ConfigDefinition](Classes/structllarp_1_1ConfigDefinition.md) & conf, const [ConfigGenParameters](Classes/structllarp_1_1ConfigGenParameters.md) & params) |

## Public Attributes

|                | Name           |
| -------------- | -------------- |
| log::Type | **[m_logType](Classes/structllarp_1_1LoggingConfig.md#variable-m-logtype)**  |
| log::Level | **[m_logLevel](Classes/structllarp_1_1LoggingConfig.md#variable-m-loglevel)**  |
| std::string | **[m_logFile](Classes/structllarp_1_1LoggingConfig.md#variable-m-logfile)**  |

## Public Functions Documentation

### function defineConfigOptions

```cpp
void defineConfigOptions(
    ConfigDefinition & conf,
    const ConfigGenParameters & params
)
```


## Public Attributes Documentation

### variable m_logType

```cpp
log::Type m_logType = log::Type::Print;
```


### variable m_logLevel

```cpp
log::Level m_logLevel = log::Level::off;
```


### variable m_logFile

```cpp
std::string m_logFile;
```


-------------------------------

Updated on 2022-09-01 at 18:16:52 +0000